<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Label Instructions</TITLE>
<link href="suif1_39.html" rel=Next>
<link href="suif1_37.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_37.html">previous</A>, <A HREF="suif1_39.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC38" HREF="suif1_toc.html#TOC38">Label Instructions</A></H2>
<P>
<A NAME="IDX249"></A>
<A NAME="IDX250"></A>

</P>
<P>
<A NAME="IDX251"></A>
<A NAME="IDX252"></A>
<A NAME="IDX253"></A>
SUIF uses special pseudo-instructions to mark the positions of labels
within the lists of instructions.  These label (<CODE>lab</CODE>) instructions
are represented by the <CODE>in_lab</CODE> class, which contains a single
field holding the symbol for a label.  The <CODE>label</CODE> and
<CODE>set_label</CODE> methods access this field.

</P>
<P>
No operation is performed by a label instruction.  Its only purpose is
to mark the location of a label symbol in an instruction list.  The
<CODE>label</CODE> field must be a pointer to the symbol for the label, which
must be defined within the scope where the label instruction occurs.
The destination operand is unused and trying to set it will cause an
error.  The result type should always be the SUIF <CODE>void</CODE> type.

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_37.html">previous</A>, <A HREF="suif1_39.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
